
#include <QWidget>
#include <QString>
#include <QStringList>
#include <QComboBox>
#include <QGridLayout>

#include "BacPolarity.h"
#include "enum.bactypes.h"

BacPolarity::BacPolarity(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Normal") << tr("Reverse"), 0);
}

BacPolarity::BacPolarity(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : Enum(parent, db_id, PropId, label, layout, row, col) {
  SetList(QStringList() << tr("Normal") << tr("Reverse"), value);
}

